import time

from osv import fields,osv
from tools.translate import _


class res_partner(osv.osv):
    """
    Shoreline Church Partner customisations
    """
    _name = "res.partner"
    _inherit = "res.partner"

    _columns = {
       'saved': fields.date("Date Saved"),
       'baptised': fields.date("Baptised"),
       'spirit': fields.date("Holy Spirit"),
       'discipleship': fields.date("Discipleship"),
       'journey': fields.date("Journey"),
       'gifts': fields.date("Discover Your Gifts"),
       'leader': fields.date("You the Leader"),
       'application_ids': fields.one2many("shoreline.application",
                                                    "volunteer",
                                                    "Applications"),
       'isfamily': fields.boolean("Family", 
                            help="Check this box to indicate that this record represents a family."),
       'parent_children': fields.related("parent_id","child_ids", type="one2many",
                                relation="res.partner",string="Family Relations"),
    }
    
res_partner()
