import time

from osv import fields,osv
from tools.translate import _


class shoreline_application(osv.osv):
    """
    Shoreline Church Application Form
    """
    _name = "shoreline.application"
    _rec_name = "role_id"
    
    _columns = {
            "volunteer": fields.many2one("res.partner","Volunteer",
                                         required=True),
            "state": fields.selection([("applied","Applied"),
                                       ("crbpend","CRB Pending"),
                                       ("accepted","Accepted"),
                                       ("rejected","Rejected"),
                                       ("cancel","Cancelled")],
                                       readonly=True,
                                       string="State"),
            "date_attending": fields.date("Date started attending Shoreline Church"),
            "prev_church": fields.boolean("Previously attended another church?"),
            "prev_church_note": fields.text("Previous church details"),
            "under16": fields.selection([("",""),
                                         ("No","No"),
                                         ("Yes","Yes")],
                                         required=True,
                                        string="Under 16?"),
            "parent_sig": fields.selection([("",""),
                                            ("No","No"),
                                            ("Yes","Yes")],
                                            required=True,
                                            string="Signature of Parent/Guardian?"),
            "parent_link": fields.many2one("res.partner","Parent/Guardian"),
            "role_id": fields.many2one("shoreline.role", "Volunteer Role",
                                        required=True),
            "talents": fields.text("Talents, skills, experience"),
            "commitment": fields.selection([("03","3 Months"),
                                            ("06","6 Months"),
                                            ("12","1 Year+")],
                                            string="Commitment Length"),
            "availability": fields.selection([("weekly","Weekly"),
                                              ("fortnightly","Fortnightly"),
                                              ("monthly","Monthly")],
                                             string="Availability"),
            "illness": fields.boolean("Illnesses or disabilities?"),
            "illness_note": fields.text("Illness/Disability details"),
            "court": fields.selection([("",""),("No","No"),("Yes","Yes")],
                                        required=True,
                                        string="Court proceedings concerning child?"),
            "court_note": fields.text("Court proceeding details"),
            "conduct": fields.selection([("",""),("No","No"),("Yes","Yes")],
                                        required=True,
                                        string="Allegations reported to Social Services?"),
            "signed": fields.selection([("",""),("No","No"),("Yes","Yes")],
                                        required=True,
                                        string="Signed?"),
            "date_signed": fields.date("Date signed"),
            "nmr": fields.integer("# of Applications", readonly="True"),
    }

    _defaults = {
                    "state": lambda *a: 'applied',
                    "nmr": lambda *a: 1,
                }

shoreline_application()

